[CentOS] Re: 3Ware 9690SA

Ruslan Sivak russ at vshift.com
Fri Jun 6 22:16:32 UTC 2008

Scott Silva wrote:
>>> ------------------------------------------------------------------------ 
>> The ones on their standard download page are not compatible with Xen 
>> kernels according to the release notes.  The ones to be used for Xen 
>> kernels on x64 is this one: 
>> http://www.3ware.com/KB/article.aspx?id=15257
>> That only has a zip file, not an image file.
>> Russ
> http://www.3ware.com/KB/article.aspx?id=15257 is the files that go on 
> a driver disk. I just dl'd it and opened it.
> I know there is a way to use a driver disk from other media, but I 
> can't find it, and I'm sure someone on list will remember how.
> ------------------------------------------------------------------------

Yes these are the files I was using.  It wouldn't let me install with 
these files on a usb drive or a cdrom, but it worked fine when I put 
them on a floppy.  I then did an upgrade install of CentOS, and was able 
to boot into the system. 

The only issue now seems to be that I still can't boot the xen kernel 
with it.  I tried manually copying the 3w-9xxx.ko from 
/lib/modules/2.6.18-53.el5/updates to 
/lib/modules/2.6.18-53.1.21.el5xen/updates, but that didn't seem to help.

Do I need to mkinitrd or something?


More information about the CentOS mailing list